This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 30494 - CD-ROM Install: Anaconda crashed with exceptional condition after Autentication Configuration
CD-ROM Install: Anaconda crashed with exceptional condition after Autenticati...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-03 18:41 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-09 11:20:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-03 18:41:46 EST
Installation from CD-Boot of RH7 in either graphical or text mode for a 
custom install, stops with an exceptional condition immediately 
after "Authentication Configuration". I'm installing for dual boot with M$ 
Windows 2000. Because of this I am installing Linux on a second hard drive 
(hdc) with LILO as the first sector of the boot partition on hdc.

Reproducible: Always
Steps to Reproduce:
Go through the install in either text or graphical using the following 
settings-

Language: English
Keyboard: 101 Keys, US English, disable dead-keys
Mouse: 3 Buttom PS/2
Install type: Custom Install

Disk Druid Settings -
hda1: Type: NTFS/HPFA, Mount Point: not set
Linux Swap, Size: 512MB, Allowable Drives: hdc
hdc1: Type: Linux Native, Mount Point: /, Allowable Drives: hdc

Format /dev/hdc1/ without bad block checking

LILO Settings -
Create Boot Disk
Install LILO on first sector of boot partition (/dev/hdc1)
Use Linear Mode (have tried disabled as well)
Use default Boot image
Label: linux

Network Settings -
eth0: Configure using DHCP

TimeZone -
New York Timezone

Accounts -
Only root, no additional accounts

Authentication Configuration -
Use MD5
Use password shadowing

After clicking next an exceptional condition is met.

Actual Results:  A small dialog pops-up saying "Loading Packages" I 
believe before the crash. Then a dialog pops-up with the "Exceptional 
Condition" message and the trace text.

Expected Results:  I expected to go to another screen for installation 
configuration.

SYSTEM INFORMATION:
Dell Dimension L Series
Processor: 733 Intel PIII
Physical Ram: 256MB PC100 SDRAM
Motherboard: Dell Specific (Intel 810e chip set)
System bus speed: 100Mhz
Onboard Ports: 1 Serial, 1 Parallel, PS/2 Mouse, PS/2 Keyboard, USB
Onboard Video: Intel 810e chip set with 4-MB display cache
Onboard Audio: Creative Sound Blaster Audio PCI
Onboard NIC: Intel Pro 10/100 82559
Storage Devices -
hda: Quantum Fireball LM10.2 (9.5GB)
hdc: Maxtor 9101D6 (9.32GB)
cdrom: LG CD-ROM CRD-8482B

EXCEPTION MESSAGE:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in 
setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/package_gui.py", line 
427, in getScreen
    self.todo.getCompsList()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 16, in 
readComps
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
    self.readCompsFile(file, self.packages, arch, matchAllLang)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
    comp.addPackage(packages[l])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
    return self.packages[item]
KeyError: MAKEDEV

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 8569420>
item: MAKEDEV

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>



Thank you for your time,
Nick
Comment 1 Michael Fulbright 2001-03-03 20:55:01 EST
Please look on VC3 and VC4 (cntl-alt-f3 and -f4) and see if there are any error
messages. Your CD appears to be bad.
Comment 2 Need Real Name 2001-03-04 08:38:14 EST
I checked those terminals and nothing struck me as an error. Everything looks 
like it is working without any problems. I suppose if you have no other ideas I 
will try to download and burn a CD but I would prefer to do that as a last 
resort.
Comment 3 Michael Fulbright 2001-03-09 11:20:16 EST
I have not seen an error of this type unless the CD or the CD drive were acting
up, so I think trying a new CD set would be the best thing to try now.
Comment 4 Michael Fulbright 2001-04-02 16:00:08 EDT
Closing due to inactivity - please reopen if you have anything to add to the bug
report.

Note You need to log in before you can comment on or make changes to this bug.